Bug 953540 - No event for opening spice console
Summary: No event for opening spice console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Nobody's working on this, feel free to take it
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On: 1039862
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-18 12:10 UTC by Jiri Belka
Modified: 2015-09-22 13:09 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:06:30 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Belka 2013-04-18 12:10:04 UTC
Description of problem:

There's no event for opening spice console of a VM, this was also mentioned by RHEVM user during Brno's OpenHouse day.

As virtual environment can be understood like physical datacenter, opening console could be understand as physical access to server, thus it would be wise to log such action - opening console (like entering servers root) :)

Version-Release number of selected component (if applicable):
sf13.1

How reproducible:
100%

Steps to Reproduce:
1. open SPICE console of a VM
2. check events
3.
  
Actual results:
nothing in events about opened console

Expected results:
provide an event for this action so we can more monitor activities related to a VM

Additional info:
* we already have 'console user' in Session subtab, thus we "know" who opened such console
* this applies to User Portal as well!

Comment 1 Oded Ramraz 2013-04-18 12:45:26 UTC
This issue is quite similar to https://bugzilla.redhat.com/show_bug.cgi?id=886788 ( at least the suggested solution in https://bugzilla.redhat.com/show_bug.cgi?id=886788#c4 )

Comment 2 Itamar Heim 2013-04-19 08:17:01 UTC
agree, and i was close to closing it as a dup.
we can't check when the user "opened spice", but there is a difference which may be worth having an event on and that is the different between the request to set the ticket (init the session), and the notification from qemu (via the client_ip field) that a console session has been established.
so i'd do a different event here of something like "console session established from <client_ip>"

Comment 3 Michal Skrivanek 2013-07-12 11:53:58 UTC
we're full for 3.3, proposing 3.4

Comment 4 Itamar Heim 2013-12-29 09:47:16 UTC
oved - how close to the one you implemented? see comment 2.

Comment 5 Michal Skrivanek 2014-01-17 08:32:14 UTC
I believe bug 1039862 implemented what is asked for

Comment 6 Ilanit Stein 2014-02-06 11:48:58 UTC
Please review TCMS test case for this PRD (and for bug 1039862):
https://tcms.engineering.redhat.com/case/337102/?from_plan=12284

Thanks,
Ilanit

Comment 7 Oved Ourfali 2014-02-06 11:56:31 UTC
the TCMS test case look good and complete.

Comment 9 Ilanit Stein 2014-02-25 15:13:51 UTC
Verified on ovirt-3.4.0-beta3:
Getting these 3 events, and had event notifications for them for spice:

2014-Feb-25, 17:10
User admin@internal got disconnected from VM test.
	
2014-Feb-25, 17:10
User admin@internal is connected to VM test.
	
2014-Feb-25, 17:10
user admin initiated console session for VM test

Comment 10 Itamar Heim 2014-06-12 14:06:30 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.